body {
  letter-spacing: 0.25px;
}

h1,
.h1 {
  line-height: 1.09375em;
  letter-spacing: normal;
  hyphens: auto;

  @include media-breakpoint-up(lg) {
    font-size: 5rem;
    line-height: 1.05em;
    hyphens: none;
  }
}

h2,
.h2 {
  line-height: 1.16666em;
  margin-bottom: 2rem;
  hyphens: auto;

  @include media-breakpoint-up(lg) {
    font-size: 4rem;
    line-height: 1.09375em;
    margin-bottom: 3rem;
    hyphens: none;
  }

  &.small {
    font-size: 2.5rem;
    margin-bottom: 1.5rem;

    @include media-breakpoint-up(lg) {
      font-size: 3rem;
      margin-bottom: 2rem;
    }
  }
}

h1>span,
h2>span {
  text-decoration-thickness: 4px !important;
  text-decoration-color: $sun !important;
  text-underline-offset: 5px;

  @include media-breakpoint-up(md) {
    text-underline-offset: 8px;
  }
}

h3,
.h3 {
  font-size: 2.5rem;
  line-height: 1.1em;
  margin-bottom: 1.5rem;
  font-weight: 600;

  @include media-breakpoint-up(lg) {
    font-size: 3rem;
    line-height: 1.1666em;
    margin-bottom: 2rem;
  }
}

h4,
.h4 {
  font-family: $font-family-sans-serif;
  font-size: 1.5rem;
  margin-bottom: 1rem;
  font-weight: 600;

  @include media-breakpoint-up(lg) {
    font-size: 1.5rem;
    margin-bottom: 1rem;
  }
}

p {
  hyphens: auto;
  font-weight: 300;

  @include media-breakpoint-up(md) {
    hyphens: none;
    margin-bottom: 2rem;
  }

  strong {
    font-weight: 600;
  }

  &:last-child {
    margin-bottom: 0;
  }
}

.bg-yellow p {
  font-weight: 400;
}

a {
  color: inherit;

  &:hover {
    color: $primary;
  }
}

a,
a:hover,
.link,
.link:hover {
  text-decoration: underline;
  text-decoration-color: $primary;
  text-decoration-thickness: 0.15em;
  text-underline-offset: 0.3em;
}

h2,
.h2,
h3,
.h3 {

  a,
  a:hover {
    text-decoration-thickness: 4px;
    text-underline-offset: 10px;
  }
}

.dachzeile {
  display: block;
  font-size: 1rem;
  font-weight: 300;
  line-height: 1.5em;
  letter-spacing: 1px;
  text-transform: uppercase;
  margin-bottom: 0.25rem;

  @include media-breakpoint-up(md) {
    margin-bottom: 0.5rem;
  }
}

.no-link-styling {
  color: inherit;
  text-decoration: none !important;
}
